This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 462442 - Google is set as default homepage.
Google is set as default homepage.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: firefox (Show other bugs)
4.7
i386 Linux
low Severity low
: rc
: ---
Assigned To: Christopher Aillon
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-16 07:22 EDT by lihuang
Modified: 2009-02-11 09:16 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-11 09:16:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot 1 (48.79 KB, image/png)
2008-09-23 21:52 EDT, lihuang
no flags Details
Screenshot 2 (47.10 KB, image/png)
2008-09-23 21:52 EDT, lihuang
no flags Details

  None (edit)
Description lihuang 2008-09-16 07:22:22 EDT
Description of problem:
Google is set as default homepage.

Version-Release number of selected component (if applicable):
firefox-3.0.2-2.el4.i386


How reproducible:
Everytime

Steps to Reproduce:
1.launch firefox
2.Go to "Edit > Preferences ", then select the Main tab
3.Click "Restore to Default" button.
4.Quit and restart firefox
5.Click the homepage icon on the toolbar (Alt+Home ) to go to homepage.
  
Actual results:
the google page is shown as default home page.
(http://www.google.com/firefox?client=firefox-a&rls=org.mozilla:en-US:official )

Expected results:
the default homepage should be:  file:///usr/share/doc/HTML/index.html

Additional info:
Comment 1 Lawrence Lim 2008-09-22 10:53:22 EDT
Could you please attach a screenshot?
Comment 2 lihuang 2008-09-23 21:52:13 EDT
Created attachment 317546 [details]
Screenshot 1
Comment 3 lihuang 2008-09-23 21:52:40 EDT
Created attachment 317547 [details]
Screenshot 2
Comment 4 lihuang 2008-09-24 02:35:38 EDT
Comment on attachment 317546 [details]
Screenshot 1

start ff with a new profile. the default home page and welcome page be loaded successfully, while the tips shows the home page is http://en_US.start2.mozilla.com/.... when mouse over the Home button.
Comment 5 lihuang 2008-09-24 02:38:16 EDT
Comment on attachment 317547 [details]
Screenshot 2

after clicking the Home icon. the page: http://www.google,com/...  is loaded
Comment 6 Yolkfull Chow 2008-09-24 03:14:03 EDT
I think the homepage after clicking button "Restore to Default" should NOT be google one. We can get the evidence by two methods:

1) type "about:config" in address bar, type "homepage" in Filter inputbox, then we can get the value of "browser.startup.homepage" and "startup.homepage.override_url".

2) issue command "firefox -safe-mode" in terminal, tick option "Reset all user preferences to Firefox defaults", and click "Make Changes and Restart", after firefox has started up, it shows page : file:///usr/share/doc/HTML/index.html.
Comment 7 Martin Stransky 2009-02-11 09:16:53 EST
Should be already fixed by fix for Bug 445304.

Note You need to log in before you can comment on or make changes to this bug.